summaryrefslogtreecommitdiff
path: root/games/blobAndConquer/blobAndConquer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/blobAndConquer/blobAndConquer.SlackBuild')
-rw-r--r--games/blobAndConquer/blobAndConquer.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/games/blobAndConquer/blobAndConquer.SlackBuild b/games/blobAndConquer/blobAndConquer.SlackBuild
new file mode 100644
index 0000000000..651802673c
--- /dev/null
+++ b/games/blobAndConquer/blobAndConquer.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=blobAndConquer
+VERSION=0.7
+SUBVERSION=2
+PKG_VERSION=$VERSION.$SUBVERSION
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $NAME-$VERSION
+tar -zxvf $CWD/$NAME-$VERSION-$SUBVERSION.tar.gz || exit 1
+cd $NAME-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Let's fix the documentation directory in the makefile
+# instead of doing it manually in the script
+patch -p1 < $CWD/makefile.diff || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+sed -i 's#Icon=blobAndConquer#Icon=/usr/share/icons/blobAndConquer.png#' \
+ $PKG/usr/share/applications/blobAndConquer.desktop || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$PKG_VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz